<?php
namespace App\Mail;

use App\User;
use Illuminate\Bus\Queueable;
use Illuminate\Mail\Mailable;
use Illuminate\Queue\SerializesModels;
use Illuminate\Contracts\Queue\ShouldQueue;

class MailVerifyAccount extends Mailable
{
    use Queueable, SerializesModels;

    protected $confirmation_code;
    protected $user;
    public $subject;


    public function __construct($confirmation_code, User $user)
    {
        $this->confirmation_code = $confirmation_code;
        $this->user = $user;
        $this->subject = __('email.email_verify');
    }


    public function build()
    {
        $salutation = __('email.salutation').",";
        if($this->user->account){
            if($this->user->account->salutation === "mr"){
                $salutation =  __('email.dear_sir')." ".$this->user->account->first_name.",";
            }else{
                $salutation = __('email.dear_mrs')." ".$this->user->account->first_name.",";
            }
        }
        return $this->view('emails.auth')->with([
            'url' => route('register_verify', $this->confirmation_code),
            'salutation' => $salutation,
            'button' => __('email.email_verify'),
            'copy1line' =>  __('email.email_verify_copy1line'),
            'copy2line' => __('email.copy2line'),
            'copy3line' => __('email.copy3line'),
            'greetings' => __('email.greetings'),
            'sender' => __('email.sender'),

        ]);
    }
}